AjpNioProtocol (Apache Tomcat 9.0.37 API Documentation)

org.apache.coyote.ajp

## Class AjpNioProtocol

- java.lang.Object
- - org.apache.coyote.AbstractProtocol<S>
  - - org.apache.coyote.ajp.AbstractAjpProtocol<NioChannel>
    - - org.apache.coyote.ajp.AjpNioProtocol

- All Implemented Interfaces:
    MBeanRegistration, ProtocolHandler

      public class AjpNioProtocol
      extends AbstractAjpProtocol<NioChannel>

  This the NIO based protocol handler implementation for AJP.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.coyote.AbstractProtocol

      `AbstractProtocol.ConnectionHandler<S>, AbstractProtocol.RecycledProcessors`

  - ### Field Summary

    - ### Fields inherited from class org.apache.coyote.ajp.AbstractAjpProtocol

      `sm`

    - ### Fields inherited from class org.apache.coyote.AbstractProtocol

      `adapter, domain, mserver, oname, processorCache, rgOname`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AjpNioProtocol()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Log` | `getLog()` Concrete implementations need to provide access to their logger to be used by the abstract classes.
    `protected String` | `getNamePrefix()` Obtain the prefix to be used when construction a name for this protocol handler.

    - ### Methods inherited from class org.apache.coyote.ajp.AbstractAjpProtocol

      `addSslHostConfig, addUpgradeProtocol, createProcessor, createUpgradeProcessor, findSslHostConfigs, findUpgradeProtocols, getAjpFlush, getAllowedRequestAttributesPattern, getAllowedRequestAttributesPatternInternal, getDesiredBufferSize, getEndpoint, getNegotiatedProtocol, getPacketSize, getProtocolName, getRequiredSecret, getSecret, getSecretRequired, getTomcatAuthentication, getTomcatAuthorization, getUpgradeProtocol, setAjpFlush, setAllowedRequestAttributesPattern, setPacketSize, setRequiredSecret, setSecret, setSecretRequired, setTomcatAuthentication, setTomcatAuthorization, start`

    - ### Methods inherited from class org.apache.coyote.AbstractProtocol

      `addWaitingProcessor, closeServerSocketGraceful, destroy, getAcceptCount, getAcceptorThreadCount, getAcceptorThreadPriority, getAdapter, getAddress, getClientCertProvider, getConnectionCount, getConnectionLinger, getConnectionTimeout, getDomain, getExecutor, getHandler, getKeepAliveTimeout, getLocalPort, getMaxConnections, getMaxHeaderCount, getMaxThreads, getMinSpareThreads, getName, getNameIndex, getObjectName, getPort, getPortOffset, getPortWithOffset, getProcessorCache, getProperty, getTcpNoDelay, getThreadPriority, getUtilityExecutor, init, isAprRequired, isPaused, isSendfileSupported, pause, postDeregister, postRegister, preDeregister, preRegister, removeWaitingProcessor, resume, setAcceptCount, setAcceptorThreadCount, setAcceptorThreadPriority, setAdapter, setAddress, setClientCertProvider, setConnectionLinger, setConnectionTimeout, setExecutor, setHandler, setKeepAliveTimeout, setMaxConnections, setMaxHeaderCount, setMaxThreads, setMinSpareThreads, setPort, setPortOffset, setProcessorCache, setProperty, setTcpNoDelay, setThreadPriority, setUtilityExecutor, startAsyncTimeout, stop, stopAsyncTimeout`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.coyote.ProtocolHandler

      `create`

- - ### Constructor Detail

    - #### AjpNioProtocol

          public AjpNioProtocol()

  - ### Method Detail

    - #### getLog

          protected Log getLog()

      Description copied from class: `AbstractProtocol`
      Concrete implementations need to provide access to their logger to be used by the abstract classes.
      Specified by:
        `getLog` in class `AbstractProtocol<NioChannel>`
      Returns:
        the logger

    - #### getNamePrefix

          protected String getNamePrefix()

      Description copied from class: `AbstractProtocol`
      Obtain the prefix to be used when construction a name for this protocol handler. The name will be prefix-address-port.
      Specified by:
        `getNamePrefix` in class `AbstractProtocol<NioChannel>`
      Returns:
        the prefix

Copyright © 2000-2020 Apache Software Foundation. All Rights Reserved.